include $(top_srcdir)/glib-tap.mk

installed_testdir = $(libexecdir)/installed-tests/librhosydd-@RSD_API_VERSION@
installed_test_metadir = $(datadir)/installed-tests/librhosydd-@RSD_API_VERSION@

# Flags for all test binaries
AM_CPPFLAGS = \
	-I$(top_srcdir) \
	-I$(top_builddir) \
	-DTEST_FILE_DIR="\"$(top_srcdir)/librhosydd/tests/\"" \
	-DG_LOG_DOMAIN=\"librhosydd-tests\" \
	-DLIBRHOSYDD_DISABLE_DEPRECATED \
	$(NULL)
AM_CFLAGS = \
	$(WARN_CFLAGS) \
	$(RHOSYDD_TESTS_CFLAGS) \
	$(NULL)
AM_LDFLAGS = \
	$(WARN_LDFLAGS) \
	$(NULL)
LDADD = \
	$(top_builddir)/librhosydd/librhosydd-@RSD_API_VERSION@.la \
	$(RHOSYDD_TESTS_LIBS) \
	$(NULL)

@VALGRIND_CHECK_RULES@
VALGRIND_SUPPRESSIONS_FILES = librhosydd.supp
EXTRA_DIST += librhosydd.supp

test_programs = \
	attribute \
	proxy-vehicle \
	subscription \
	utilities \
	vehicle \
	version \
	$(NULL)

attribute_SOURCES = attribute.c
proxy_vehicle_SOURCES = proxy-vehicle.c dbus-utilities.c dbus-utilities.h
subscription_SOURCES = subscription.c
utilities_SOURCES = utilities.c
vehicle_SOURCES = vehicle.c

-include $(top_srcdir)/git.mk
